OpenTTD Source: src/tests/string_consumer.cpp File Reference

OpenTTD Source 15.0-RC2

Functions
string_consumer.cpp File Reference

Test functionality from core/string_consumer. More...

`#include "../stdafx.h"`
`#include <iostream>`
`#include "../3rdparty/catch2/catch.hpp"`
`#include "../core/string_consumer.hpp"`
`#include "../safeguards.h"`

Go to the source code of this file.

## Functions
| TEST_CASE ("StringConsumer - basic")
| TEST_CASE ("StringConsumer - binary8")
| TEST_CASE ("StringConsumer - binary16")
| TEST_CASE ("StringConsumer - binary32")
| TEST_CASE ("StringConsumer - binary64")
| TEST_CASE ("StringConsumer - utf8")
| TEST_CASE ("StringConsumer - conditions")
| TEST_CASE ("StringConsumer - ascii")
| TEST_CASE ("StringConsumer - parse int")
| TEST_CASE ("StringConsumer - invalid int")
| TEST_CASE ("StringConsumer - most negative")

## Detailed Description

Test functionality from core/string_consumer.

Definition in file string_consumer.cpp.

## Function Documentation

## ◆ TEST_CASE() [1/11]

TEST_CASE | ( | "StringConsumer - ascii" |  | ) |

Definition at line 229 of file string_consumer.cpp.

## ◆ TEST_CASE() [2/11]

TEST_CASE | ( | "StringConsumer - basic" |  | ) |

Definition at line 20 of file string_consumer.cpp.

## ◆ TEST_CASE() [3/11]

TEST_CASE | ( | "StringConsumer - binary16" |  | ) |

Definition at line 84 of file string_consumer.cpp.

## ◆ TEST_CASE() [4/11]

TEST_CASE | ( | "StringConsumer - binary32" |  | ) |

Definition at line 103 of file string_consumer.cpp.

## ◆ TEST_CASE() [5/11]

TEST_CASE | ( | "StringConsumer - binary64" |  | ) |

Definition at line 122 of file string_consumer.cpp.

## ◆ TEST_CASE() [6/11]

TEST_CASE | ( | "StringConsumer - binary8" |  | ) |

Definition at line 56 of file string_consumer.cpp.

## ◆ TEST_CASE() [7/11]

TEST_CASE | ( | "StringConsumer - conditions" |  | ) |

Definition at line 161 of file string_consumer.cpp.

## ◆ TEST_CASE() [8/11]

TEST_CASE | ( | "StringConsumer - invalid int" |  | ) |

Definition at line 465 of file string_consumer.cpp.

## ◆ TEST_CASE() [9/11]

TEST_CASE | ( | "StringConsumer - most negative" |  | ) |

Definition at line 513 of file string_consumer.cpp.

## ◆ TEST_CASE() [10/11]

TEST_CASE | ( | "StringConsumer - parse int" |  | ) |

Definition at line 269 of file string_consumer.cpp.

## ◆ TEST_CASE() [11/11]

TEST_CASE | ( | "StringConsumer - utf8" |  | ) |

Definition at line 141 of file string_consumer.cpp.